Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.spi.status
Class DeploymentStatusImpl

    java.lang.Object
      org.jboss.deployment.spi.status.DeploymentStatusImpl

All Implemented Interfaces:
  javax.enterprise.deploy.spi.status.DeploymentStatus

public class DeploymentStatusImpl
extends Object
implements javax.enterprise.deploy.spi.status.DeploymentStatus

The DeploymentStatus interface provides information about the progress status of a deployment action.

Version:
  $Revision: 1.1.1.1 $
Author:
  thomas.diesler@jboss.org

Constructor Summary
`DeploymentStatusImpl(javax.enterprise.deploy.shared.StateType stateType, javax.enterprise.deploy.shared.CommandType commandType, javax.enterprise.deploy.shared.ActionType actionType, String message)`

Method Summary
`javax.enterprise.deploy.shared.ActionType` | `getAction()` The action of this deployment
`javax.enterprise.deploy.shared.CommandType` | `getCommand()` The deployment command
`String` | `getMessage()` Get the message
`javax.enterprise.deploy.shared.StateType` | `getState()` Get the state of the deployment
`boolean` | `isCompleted()` Is the deployment complete
`boolean` | `isFailed()` Has the deployment failed
`boolean` | `isRunning()` Is the deployment in progress

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentStatusImpl

    public DeploymentStatusImpl(javax.enterprise.deploy.shared.StateType stateType,
                                javax.enterprise.deploy.shared.CommandType commandType,
                                javax.enterprise.deploy.shared.ActionType actionType,
                                String message)

Method Detail

### getState

    public javax.enterprise.deploy.shared.StateType getState()

  Get the state of the deployment

  Specified by:
    `getState` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    the state

### getCommand

    public javax.enterprise.deploy.shared.CommandType getCommand()

  The deployment command

  Specified by:
    `getCommand` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    the command

### getAction

    public javax.enterprise.deploy.shared.ActionType getAction()

  The action of this deployment

  Specified by:
    `getAction` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    the action

### getMessage

    public String getMessage()

  Get the message

  Specified by:
    `getMessage` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    the message

### isCompleted

    public boolean isCompleted()

  Is the deployment complete

  Specified by:
    `isCompleted` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    true when complete, false otherwise

### isFailed

    public boolean isFailed()

  Has the deployment failed

  Specified by:
    `isFailed` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    true when failed, false otherwise

### isRunning

    public boolean isRunning()

  Is the deployment in progress

  Specified by:
    `isRunning` in interface `javax.enterprise.deploy.spi.status.DeploymentStatus`
  Returns:
    true when in progress, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.